---
lang: en
title: 'API docs: repository-json-schema.getnavigationalpropertyforrelation'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository-json-schema.getnavigationalpropertyforrelation.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-json-schema](./repository-json-schema.md) &gt; [getNavigationalPropertyForRelation](./repository-json-schema.getnavigationalpropertyforrelation.md)

## getNavigationalPropertyForRelation() function

Checks and return navigational property definition for the relation

<b>Signature:</b>

```typescript
export declare function getNavigationalPropertyForRelation(relMeta: RelationMetadata, targetRef: JSONSchema): JSONSchema;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  relMeta | <code>RelationMetadata</code> |  |
|  targetRef | <code>JSONSchema</code> |  |

<b>Returns:</b>

`JSONSchema`


